Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## grails.rest.render.errors
[Groovy] Class VndErrorJsonRenderer

    java.lang.Object
      grails.rest.render.errors.AbstractVndErrorRenderer
          grails.rest.render.errors.VndErrorJsonRenderer

    @groovy.transform.CompileStatic
    class VndErrorJsonRenderer
    extends AbstractVndErrorRenderer

A JSON renderer that renders errors in in the Vnd.Error format (see https://github.com/blongden/vnd.error)

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary
`static java.lang.String` | `FOUR_SPACES`
`static java.lang.String` | `LINKS_ATTRIBUTE`
`static MimeType` | `MIME_TYPE`

Fields inherited from class AbstractVndErrorRenderer
HREF_ATTRIBUTE, LOGREF_ATTRIBUTE, MESSAGE_ATTRIBUTE, RESOURCE_ATTRIBUTE

Property Summary
`com.google.gson.Gson` | `gson`
`MimeType[]` | `mimeTypes`

Method Summary
`void` | `render(org.springframework.validation.Errors object, RenderContext context)`

Methods inherited from class AbstractVndErrorRenderer
getComponentType, getObjectId, getTargetType, resolveLogRef

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### FOUR_SPACES

    public static final java.lang.String FOUR_SPACES

### LINKS_ATTRIBUTE

    public static final java.lang.String LINKS_ATTRIBUTE

### MIME_TYPE

    public static final MimeType MIME_TYPE

Property Detail

### gson

    @org.springframework.beans.factory.annotation.Autowired(required = false)
    com.google.gson.Gson gson

### mimeTypes

    MimeType[] mimeTypes

Method Detail

### render

    @java.lang.Override
    void render(org.springframework.validation.Errors object, RenderContext context)

Groovy Documentation